Share via


Consoles - Get

Get properties of the provided virtual machine console.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetworkCloud/virtualMachines/{virtualMachineName}/consoles/{consoleName}?api-version=2025-09-01

URI Parameters

Name In Required Type Description
consoleName
path True

string

pattern: ^default$

The name of the virtual machine console.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

virtualMachineName
path True

string

pattern: ^([a-zA-Z0-9][a-zA-Z0-9]{0,62}[a-zA-Z0-9])$

The name of the virtual machine.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Console

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get virtual machine console

Sample request

GET https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/virtualMachines/virtualMachineName/consoles/default?api-version=2025-09-01

Sample response

{
  "extendedLocation": {
    "name": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.ExtendedLocation/customLocations/clusterManagerExtendedLocationName",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/virtualMachines/virtualMachineName/consoles/default",
  "location": "location",
  "name": "default",
  "properties": {
    "detailedStatus": "Ready",
    "detailedStatusMessage": "Console is ready for use",
    "enabled": "True",
    "expiration": "2022-06-01T01:27:03.008Z",
    "privateLinkServiceId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.Network/privateLinkServices/console-pls",
    "provisioningState": "Succeeded",
    "sshPublicKey": {
      "keyData": "ssh-rsa AAtsE3njSONzDYRIZv/WLjVuMfrUSByHp+jfaaOLHTIIB4fJvo6dQUZxE20w2iDHV3tEkmnTo84eba97VMueQD6OzJPEyWZMRpz8UYWOd0IXeRqiFu1lawNblZhwNT/ojNZfpB3af/YDzwQCZgTcTRyNNhL4o/blKUmug0daSsSXISTRnIDpcf5qytjs1Xo+yYyJMvzLL59mhAyb3p/cD+Y3/s3WhAx+l0XOKpzXnblrv9d3q4c2tWmm/SyFqthaqd0= admin@vm"
    },
    "virtualMachineAccessId": "VirtualMachineAccessId"
  },
  "systemData": {
    "createdAt": "2021-01-22T13:27:03.008Z",
    "createdBy": "identityA",
    "createdByType": "Application",
    "lastModifiedAt": "2021-01-22T13:29:03.001Z",
    "lastModifiedBy": "identityB",
    "lastModifiedByType": "User"
  },
  "tags": {
    "key1": "myvalue1",
    "key2": "myvalue2"
  },
  "type": "Microsoft.NetworkCloud/virtualMachines/consoles"
}

Definitions

Name Description
Azure.ResourceManager.CommonTypes.ExtendedLocation

The complex type of the extended location.

Console

Console represents the console of an on-premises Network Cloud virtual machine.

ConsoleDetailedStatus

The more detailed status of the console.

ConsoleEnabled

The indicator of whether the console access is enabled.

ConsoleProvisioningState

The provisioning state of the virtual machine console.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ExtendedLocationType

The type of the extended location.

SshPublicKey

SshPublicKey represents the public key used to authenticate with a resource through SSH.

systemData

Metadata pertaining to creation and last modification of the resource.

Azure.ResourceManager.CommonTypes.ExtendedLocation

The complex type of the extended location.

Name Type Description
name

string

The name of the extended location.

type

ExtendedLocationType

The type of the extended location.

Console

Console represents the console of an on-premises Network Cloud virtual machine.

Name Type Description
etag

string

"If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")

extendedLocation

Azure.ResourceManager.CommonTypes.ExtendedLocation

The extended location of the resource. This property is required when creating the resource.

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.detailedStatus

ConsoleDetailedStatus

The more detailed status of the console.

properties.detailedStatusMessage

string

The descriptive message about the current detailed status.

properties.enabled

ConsoleEnabled

The indicator of whether the console access is enabled.

properties.expiration

string (date-time)

The date and time after which the key will be disallowed access.

properties.privateLinkServiceId

string (arm-id)

The resource ID of the private link service that is used to provide virtual machine console access.

properties.provisioningState

ConsoleProvisioningState

The provisioning state of the virtual machine console.

properties.sshPublicKey

SshPublicKey

The SSH public key that will be provisioned for user access. The user is expected to have the corresponding SSH private key for logging in.

properties.virtualMachineAccessId

string

The unique identifier for the virtual machine that is used to access the console.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ConsoleDetailedStatus

The more detailed status of the console.

Value Description
Ready

The Ready status.

Error

The Error status.

ConsoleEnabled

The indicator of whether the console access is enabled.

Value Description
True

Console access enabled

False

Console access disabled

ConsoleProvisioningState

The provisioning state of the virtual machine console.

Value Description
Succeeded

The Succeeded status.

Failed

The Failed status.

Canceled

The Canceled status.

Accepted

The Accepted status.

Provisioning

The Provisioning status.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ExtendedLocationType

The type of the extended location.

Value Description
EdgeZone

Azure Edge Zones location type

CustomLocation

Azure Custom Locations type

SshPublicKey

SshPublicKey represents the public key used to authenticate with a resource through SSH.

Name Type Description
keyData

string

minLength: 1

The SSH public key data.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.